# This is the main configuration file for Spigot.
# As you can see, there's tons to configure. Some options may impact gameplay, so use
# with caution, and make sure you know what each option does before configuring.
# For a reference for any variable inside this file, check out the Spigot wiki at
# http://www.spigotmc.org/wiki/spigot-configuration/
# 
# If you need help with the configuration or have any questions related to Spigot,
# join us at the IRC or drop by our forums and leave a post.
# 
# IRC: #spigot @ irc.spi.gt ( http://www.spigotmc.org/pages/irc/ )
# Forums: http://www.spigotmc.org/

config-version: 11
settings:
  debug: false
  save-user-cache-on-stop-only: true
  sample-count: 12
  bungeecord: false
  late-bind: false
  player-shuffle: 0
  filter-creative-items: true
  user-cache-size: 1000
  int-cache-limit: 1024
  moved-wrongly-threshold: 1.0625
  moved-too-quickly-multiplier: 10.0
  item-dirty-ticks: 20
  timeout-time: 35
  restart-on-crash: true
  restart-script: ./none.sh
  netty-threads: 4
  attribute:
    maxHealth:
      max: 1000000.0
    movementSpeed:
      max: 2048.0
    attackDamage:
      max: 2048.0
commands:
  tab-complete: 0
  log: true
  spam-exclusions: []
  silent-commandblock-console: false
  replace-commands: []
messages:
  whitelist: lang:whitelist
  unknown-command: lang:unknown_command
  server-full: The server is full!
  outdated-client: Outdated client! Please use {0}
  outdated-server: Outdated server! I'm still on {0}
  restart: Server is restarting
advancements:
  disable-saving: true
  disabled:
  - '*'
stats:
  disable-saving: true
  forced-stats:
    achievement:
      openInventory: 1
world-settings:
  default:
    verbose: false
    mob-spawn-range: 4
    growth:
      cactus-modifier: 100
      cane-modifier: 100
      melon-modifier: 100
      mushroom-modifier: 100
      pumpkin-modifier: 100
      sapling-modifier: 100
      wheat-modifier: 100
      netherwart-modifier: 100
      vine-modifier: 100
      cocoa-modifier: 100
    entity-activation-range:
      animals: 0
      monsters: 0
      misc: 0
      tick-inactive-villagers: true
    entity-tracking-range:
      players: 48
      animals: 48
      monsters: 48
      misc: 32
      other: 32
    ticks-per:
      hopper-transfer: 80
      hopper-check: 40
    hopper-amount: 15
    random-light-updates: false
    save-structure-info: true
    dragon-death-sound-radius: 100
    seed-village: 10387312
    seed-feature: 14357617
    seed-monument: 10387313
    seed-slime: 987234911
    hunger:
      jump-walk-exhaustion: 0.05
      jump-sprint-exhaustion: 0.2
      combat-exhaustion: 0.1
      regen-exhaustion: 6.0
      swim-multiplier: 0.01
      sprint-multiplier: 0.1
      other-multiplier: 0.0
    max-tnt-per-tick: 100
    max-tick-time:
      tile: 50
      entity: 50
    squid-spawn-range:
      min: 45.0
    item-despawn-rate: 3000
    merge-radius:
      item: 2.5
      exp: 3.0
    view-distance: 6
    arrow-despawn-rate: 300
    enable-zombie-pigmen-portal-spawns: true
    wither-spawn-sound-radius: 0
    hanging-tick-frequency: 100
    zombie-aggressive-towards-villager: true
    nerf-spawner-mobs: false
    max-entity-collisions: 8
